# Uses of Class
org.eclipse.swt.widgets.Button

Packages that use Button
Package
Description
org.eclipse.swt.widgets

## Uses of Button in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Button
Modifier and Type
Method
Description
`protected Button`
FileDialog.`createButton(Composite parent, String text)`
`Button`
Decorations.`getDefaultButton()`
Returns the receiver's default button if one had previously been set, otherwise returns null.
Methods in org.eclipse.swt.widgets with parameters of type Button
Modifier and Type
Method
Description
`void`
Decorations.`setDefaultButton(Button button)`
If the argument is not null, sets the receiver's default button to the argument, and if the argument is null, sets the receiver's default button to the first button which was set as the receiver's default button (called the saved default button).